Function
weaklyConnectedComponents
Compute weakly connected components of a directed graph.
weaklyConnectedComponents(g, components)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:A directed graph. Types: Directed Graph
components | Out-parameter:A property map. Remarks: Each vertex is mapped to a component id. If two vertices share the same id they are in the same component.

Remarks
The running time is O(n a(n, n)) where a is the inverse Ackermann function and thus almost linear. The union find data structure is used since the graph implementations do not allow the efficient iteration of in-edges.
Return Values
Size<TGraph>::Type, number of weakly connected components.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59